TTransactionConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TTransactionConfig

- java.lang.Object
- - com.sleepycat.thrift.TTransactionConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TTransactionConfig>, org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TTransactionConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TTransactionConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TTransactionConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `bulk`
    `TDurabilityPolicy` | `durability`
    `TIsolationLevel` | `isoLevel`
    `static java.util.Map<TTransactionConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `wait`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TTransactionConfig()`
    `TTransactionConfig(TTransactionConfig other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TTransactionConfig other)`
    `TTransactionConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TTransactionConfig that)`
    `TTransactionConfig._Fields` | `fieldForId(int fieldId)`
    `TDurabilityPolicy` | `getDurability()`
    `java.lang.Object` | `getFieldValue(TTransactionConfig._Fields field)`
    `TIsolationLevel` | `getIsoLevel()`
    `int` | `hashCode()`
    `boolean` | `isBulk()`
    `boolean` | `isSet(TTransactionConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBulk()` Returns true if field bulk is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDurability()` Returns true if field durability is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIsoLevel()` Returns true if field isoLevel is set (has been assigned a value) and false otherwise
    `boolean` | `isSetWait()` Returns true if field wait is set (has been assigned a value) and false otherwise
    `boolean` | `isWait()`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TTransactionConfig` | `setBulk(boolean bulk)`
    `void` | `setBulkIsSet(boolean value)`
    `TTransactionConfig` | `setDurability(TDurabilityPolicy durability)`
    `void` | `setDurabilityIsSet(boolean value)`
    `void` | `setFieldValue(TTransactionConfig._Fields field, java.lang.Object value)`
    `TTransactionConfig` | `setIsoLevel(TIsolationLevel isoLevel)`
    `void` | `setIsoLevelIsSet(boolean value)`
    `TTransactionConfig` | `setWait(boolean wait)`
    `void` | `setWaitIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBulk()`
    `void` | `unsetDurability()`
    `void` | `unsetIsoLevel()`
    `void` | `unsetWait()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bulk

          public boolean bulk

    - #### durability

          public TDurabilityPolicy durability

      See Also:
        `TDurabilityPolicy`

    - #### isoLevel

          public TIsolationLevel isoLevel

      See Also:
        `TIsolationLevel`

    - #### wait

          public boolean wait

    - #### metaDataMap

          public static final java.util.Map<TTransactionConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TTransactionConfig

          public TTransactionConfig()

    - #### TTransactionConfig

          public TTransactionConfig(TTransactionConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TTransactionConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### isBulk

          public boolean isBulk()

    - #### setBulk

          public TTransactionConfig setBulk(boolean bulk)

    - #### unsetBulk

          public void unsetBulk()

    - #### isSetBulk

          public boolean isSetBulk()

      Returns true if field bulk is set (has been assigned a value) and false otherwise

    - #### setBulkIsSet

          public void setBulkIsSet(boolean value)

    - #### getDurability

          public TDurabilityPolicy getDurability()

      See Also:
        `TDurabilityPolicy`

    - #### setDurability

          public TTransactionConfig setDurability(TDurabilityPolicy durability)

      See Also:
        `TDurabilityPolicy`

    - #### unsetDurability

          public void unsetDurability()

    - #### isSetDurability

          public boolean isSetDurability()

      Returns true if field durability is set (has been assigned a value) and false otherwise

    - #### setDurabilityIsSet

          public void setDurabilityIsSet(boolean value)

    - #### getIsoLevel

          public TIsolationLevel getIsoLevel()

      See Also:
        `TIsolationLevel`

    - #### setIsoLevel

          public TTransactionConfig setIsoLevel(TIsolationLevel isoLevel)

      See Also:
        `TIsolationLevel`

    - #### unsetIsoLevel

          public void unsetIsoLevel()

    - #### isSetIsoLevel

          public boolean isSetIsoLevel()

      Returns true if field isoLevel is set (has been assigned a value) and false otherwise

    - #### setIsoLevelIsSet

          public void setIsoLevelIsSet(boolean value)

    - #### isWait

          public boolean isWait()

    - #### setWait

          public TTransactionConfig setWait(boolean wait)

    - #### unsetWait

          public void unsetWait()

    - #### isSetWait

          public boolean isSetWait()

      Returns true if field wait is set (has been assigned a value) and false otherwise

    - #### setWaitIsSet

          public void setWaitIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TTransactionConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TTransactionConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### isSet

          public boolean isSet(TTransactionConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TTransactionConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TTransactionConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TTransactionConfig>`

    - #### fieldForId

          public TTransactionConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TTransactionConfig,TTransactionConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.